package com.flyfish.framework.service;

import com.flyfish.framework.domain.po.User;
import com.flyfish.framework.repository.ReactiveUserRepository;
import com.flyfish.framework.service.impl.BaseReactiveServiceImpl;
import org.springframework.stereotype.Service;
import reactor.core.publisher.Mono;

/**
 * 异步用户service
 *
 * @author wangyu
 */
@Service
public class ReactiveUserService extends BaseReactiveServiceImpl<User> {

    /**
     * 获取用户数据
     *
     * @param username 用户
     * @return 结果
     */
    public Mono<User> findByUsername(String username) {
        return ((ReactiveUserRepository) repository).findByUsername(username);
    }

}
